# Generated by Django 3.0.2 on 2020-02-25 14:19

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ('bboard', '0006_auto_20200225_1418'),
    ]

    operations = [
        migrations.CreateModel(
            name='Kit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('count', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Spare',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('spares', models.ManyToManyField(through='bboard.Kit', to='bboard.Spare')),
            ],
        ),
        migrations.AddField(
            model_name='kit',
            name='machine_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bboard.Machine'),
        ),
        migrations.AddField(
            model_name='kit',
            name='spare_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bboard.Spare'),
        ),
    ]
